directories:
  output: release
  buildResources: dist
appId: com.univrstudio.univrhome
productName: UniVRHome
files:
  - filter:
      - '**/*'
      - dist/**/*
      - '!scripts/**/*'
      - '!cert/**/*'
      - '!release/**/*'
      - '!src/**/*'
extraFiles:
  - filter:
      - build_assets
      - macos
win:
  target: nsis
  icon: ./src/assets/images/Icone_App_Home_256px.ico
  publish:
    provider: generic
    url: https://builds.univrdev.com/prod
  sign: ./scripts/sign.js
mac:
  target:
    target: dmg
  icon: ./src/assets/images/icon.icns
  publish:
    provider: generic
    url: https://builds.univrdev.com/staging/macos
nsis:
  deleteAppDataOnUninstall: true
electronVersion: 31.3.1
